$(document).ready(function(){
    var reply = function(messageid, status) {
        return function(packet) {
            if (packet.hasOwnProperty('cookies') && packet.cookies instanceof Array) {
                for (var i = 0; i < packet.cookies.length; i++) {
                    $.cookie(packet.cookies[i].name, packet.cookies[i].value, { expires: 7, path: '/' });
                }
            }

            window.parent.postMessage({
                'messageid': messageid,
                'type'     : 'LSL:ID',
                'packet'   : packet,
                'status'   : status
            }, "*");
        };
    };
    window.addEventListener("message", function(event) {
        try {
            if (event.data.type === "LSL:ID") {
                var ajx = {
                    'method' : 'POST',
                    'headers': {
                        'Accept' : 'application/json'
                    },
                    'url'    : '/api/simple/' + event.data.action,
                    'data'   : event.data.params,
                    'error'  : reply(event.data.messageid, false),
                    'success': reply(event.data.messageid, true),
                    'async'  : true
                };
                if(typeof event.data.action != 'undefined'){
                  $.ajax(ajx);
                }
            }
        } catch (e) {
            console.log(e);
        }
    }, false);

    window.parent.postMessage('LSL:IDREADY', "*");
});